Skip to main content
GET
/
v1
/
integrations
/
github
/
repos
List Github Repos
curl --request GET \
  --url https://api.example.com/v1/integrations/github/repos \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "full_name": "<string>",
    "private": true,
    "html_url": "<string>",
    "default_branch": "<string>",
    "description": "<string>",
    "updated_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

id
integer
required
name
string
required
full_name
string
required
private
boolean
required
html_url
string
required
default_branch
string
required
description
string | null
updated_at
string | null